XKBCLI-INTERACTIVE-EVDEV(1)

NAME
xkbcli-interactive-evdev - interactive debugger for X Keyboard keymaps

SYNOPSIS
xkbcli-interactive-evdev [options] [KEYMAP_PATH]

DESCRIPTION
xkbcli-interactive-evdev is a commandline tool to interactively debug XKB keymaps by listening to /dev/input/eventX evdev devices.

xkbcli-interactive-evdev requires permission to open the evdev device nodes. This usually requires being the “root” user or belonging to the “input” group.

Press the <Escape> key to exit.

This is a debugging tool, its behavior or output is not guaranteed to be stable.

KEYMAP_PATH
    Path to a keymap file, or “-” to read the standard input

--help
    Print help and exit

--verbose
    Enable verbose debugging output

--include PATH
    Add the given path to the include path list. This option is order-dependent, include paths given first are searched first. If an include path is given, the default include path list is not used. Use --include-defaults to add the default include paths.

--include-defaults
    Add the default set of include directories. This option is order-dependent, include paths given first are searched first.

--format keymap_format
    Specify the keymap format (numeric or label, e.g. “v1”)

--rules rules
    The XKB ruleset

--model model
    The XKB model

--layout layout
    The XKB layout

--variant variant
    The XKB layout variant

--option options
    The XKB options

--enable-environment-names
    Allow to set the default RMLVO values via the following environment variables:
    -   XKB_DEFAULT_RULES
    -   XKB_DEFAULT_MODEL
    -   XKB_DEFAULT_LAYOUT
    -   XKB_DEFAULT_VARIANT
    -   XKB_DEFAULT_OPTIONS
    Note that this option may affect the default values of the previous options.

--keymap file
    Specify a keymap path. This option is mutually exclusive with the RMLVO options.

--enable-compose
    Enable Compose functionality

--consumed-mode {xkb|gtk}
    Set the consumed modifiers mode (default: xkb)

--without-x11-offset
    Don't add an offset of 8 when converting an evdev keycode to an XKB keycode. You probably don't want this option.

--report-state-changes
    Report changes to the keyboard state

-1, --uniline
    Enable uniline event output.

--multiline
    Enable multiline event output.

--short
    Print shorter event output.

SEE ALSO
xkbcli(1), xkbcli-interactive-wayland(1), xkbcli-interactive-x11(1), The libxkbcommon online documentation: https://xkbcommon.org